<div class="modal-header">
  <h3 class="modal-title"><b>BLAST{{blastType}} <small>(@BiBiServ)</small></b> for <span style="font-family: monospace">{{geneId}}</span></h3>
</div>
<div class="modal-body">
  <div class="panel panel-default">
    <div class="panel-heading">
      <h3 class="panel-title">Original sequence <span class="slightly-smaller" style="margin-left: 20px;">(asterisks '*' were removed; length: {{sequence.length}})</span></h3>
    </div>
    <div class="panel-body sequence-data">
      {{sequence}}
    </div>
  </div>
  <div class="alert" role="alert" ng-if="statuscode !== undefined"
       ng-class="{'alert-danger': !isLoading() && !isSuccess(), 'alert-info': isLoading(), 'alert-success': !isLoading() && isSuccess()}">
    <i class="fa fa-fw fa-spinner fa-pulse" ng-if="isLoading()"></i> {{getHobitStatus(statuscode)}}
  </div>
  <div class="panel panel-default">
    <div class="panel-heading">
      <h3 class="panel-title">Results</h3>
    </div>
    <div class="panel-body">
      <pre class="blast-result">{{result}}</pre>
      <div style="text-align: center;"  ng-if="isSuccess()">
        <a download="{{geneId}}_result_blast{{blastType}}.tsv" ng-href="{{downloadUrl}}">Download</a>
      </div>
    </div>
  </div>
</div>
<div class="modal-footer">
  <button class="btn btn-primary" type="button" ng-mousedown="close()">Close</button>
</div>